      SUBROUTINE GINPT(irm2,ID,DLIN)
      CHARACTER ID*8,DLIN*72
  100 CONTINUE
      READ(irm2,7000) ID,DLIN
      write(90,7000) id,dlin
!ipk jul03
      call to_upper(id)
 7000 FORMAT(A8,A72)
      do i=1,8
          if(id(i:i) .eq. char(9)) go to 200
      enddo
      do i=1,72
        if(dlin(i:i) .eq. char(9)) go to 200
      enddo
      IF(ID(1:1) .EQ. ':') GO TO 100
      IF(ID(1:1) .EQ. ';') GO TO 100
      IF(ID(1:3) .EQ. 'com') GO TO 100
      IF(ID(1:3) .EQ. 'COM') GO TO 100
      IF(ID(1:3) .EQ. 'Com') GO TO 100
      IF(ID(1:8) .EQ. '        ') GO TO 100
      RETURN
  200 continue
        write(*,*) 'Error Tab character found in the following line'
        write(90,*) 'Error Tab character found in the following line'
      write(90,7000) id,dlin
      write(*,7000) id,dlin
      stop
      END


       SUBROUTINE TO_UPPER(STR)

       CHARACTER*(*) STR
       CHARACTER*1 CH

       L = LEN(STR)

       DO I=1,L
          CH = STR(I:I)
          IF ( ICHAR(CH) .GT. 96 .AND. ICHAR(CH) .LE. 122)  THEN
             STR(I:I) = CHAR(ICHAR(CH)-32)
          ENDIF
       ENDDO

       END


